Add a Storage Box SSH key
POST
Exactly one of publicKey (an OpenSSH public key line: ed25519, RSA or ECDSA) or sshKeyId (a key from your account's key book). A private key is refused.
apiToken storage:writeheader
AuthorizationBearer <token>A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.
Scope: storage:write
id*integerThe service id, as returned by GET /v1/services.
application/json- body
publicKey?stringsshKeyId?integerlabel?stringLength
length <= 80The key as the node stored it.
application/json- response
fingerprint*stringSHA256:…
type*stringlabel*stringcurl -X POST 'https://api.deluxhost.net/v1/services/0/storage/ssh-keys' \ -H "Authorization: Bearer $DELUXHOST_TOKEN" \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "fingerprint": "string", "type": "string", "label": "string"}